Subject: Re: use generic DMA mapping code in powerpc V4

From: Christoph Hellwig <[email-masked]>
Date: Mon, 10 Dec 2018 20:33:17 +0100

On Mon, Dec 10, 2018 at 05:04:46PM +0000, Rui Salvaterra wrote:
> Hi, Christoph and Ben,
> 
> It just came to my mind (and this is most likely a stupid question,
> but still)… Is there any possibility of these changes having an
> (positive) effect on the long-standing problem of Power Mac machines
> with AGP graphics cards (which have to be limited to PCI transfers,
> otherwise they'll hang, due to coherence issues)? If so, I have a G4
> machine where I'd gladly test them.

These patches themselves are not going to affect that directly.
But IFF the problem really is that the AGP needs to be treated as not
cache coherent (I have no idea if that is true) the generic direct
mapping code has full support for a per-device coherent flag, so
support for a non-coherent AGP slot could be implemented relatively
simply.